<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GRAM Protocol</title>
    <filename>main</filename>
  </compound>
  <compound kind="page">
    <name>globus_gram_protocol</name>
    <title>GRAM Protocol Definition</title>
    <filename>globus_gram_protocol</filename>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_delegation</docanchor>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_job_state_updates</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_functions</name>
    <title>Functions</title>
    <filename>group__globus__gram__protocol__functions.html</filename>
    <subgroup>globus_gram_protocol_error_messages</subgroup>
    <subgroup>globus_gram_protocol_framing</subgroup>
    <subgroup>globus_gram_protocol_io</subgroup>
    <subgroup>globus_gram_protocol_pack</subgroup>
    <subgroup>globus_gram_protocol_unpack</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_signal</name>
    <title>GRAM Signals</title>
    <filename>group__globus__gram__protocol__job__signal.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_job_signal_t</name>
      <anchor>g67a88d6f869af5643726b78ce4457517</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL</name>
      <anchor>gg67a88d6f869af5643726b78ce4457517abfe5dbb43f6ebb67f8ae8ef01a5494b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND</name>
      <anchor>gg67a88d6f869af5643726b78ce4457517c9bf1dc9dc558c85f7765dcb4e35456c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME</name>
      <anchor>gg67a88d6f869af5643726b78ce4457517cd173b201ad68de4987b92473c549d65</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY</name>
      <anchor>gg67a88d6f869af5643726b78ce4457517f7b260943d24f51a8e285ffe2f1795c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST</name>
      <anchor>gg67a88d6f869af5643726b78ce44575171b9445cd008c0fc5383dc907aa336d4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND</name>
      <anchor>gg67a88d6f869af5643726b78ce44575171588547fe674edf19ed8f1db6ad39053</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE</name>
      <anchor>gg67a88d6f869af5643726b78ce44575171d4aaea0ea702217814277477af53513</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE</name>
      <anchor>gg67a88d6f869af5643726b78ce44575171cf1e9621494fe25241a93fb91df329f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER</name>
      <anchor>gg67a88d6f869af5643726b78ce445751773343e120c76a5de26a0eef2a852e874</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END</name>
      <anchor>gg67a88d6f869af5643726b78ce445751742295bfa1c08da991b2e8e5192f647cb</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="/tmp/buildd/globus-gram-protocol-9.3/globus_gram_protocol_constants.h">globus_gram_protocol_job_signal_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_state</name>
    <title>GRAM Job States</title>
    <filename>group__globus__gram__protocol__job__state.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_job_state_t</name>
      <anchor>g0e8fe43cbdb34d333a72b1a279b501d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d418f1708ac2980caa2cdc5c155dfdc40d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d4eb15846f1c7eff0838aa6d15f224c0ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d488758f19f0ba1a890baa0ba76f502801</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d45576652ac92de3e98388b085bf592e33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d4501b577199ea7233b92dd3bd2de29a5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d498bf05bf6fff4426acfa97f0bc52225d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d4ad8a783942885cea055c1618f1ed1f92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d4d7ad9194cb471a03c67a6df003d428a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL</name>
      <anchor>gg0e8fe43cbdb34d333a72b1a279b501d477bbd5a263f0e29bd6fb71b959852084</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__job__state">globus_gram_protocol_job_state_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error</name>
    <title>GRAM Error codes</title>
    <filename>group__globus__gram__protocol__error.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_error_t</name>
      <anchor>g5d79cc90727109c14968d7ab4184b025</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="/tmp/buildd/globus-gram-protocol-9.3/globus_gram_protocol_constants.h">globus_gram_protocol_error_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error_messages</name>
    <title>Error Messages</title>
    <filename>group__globus__gram__protocol__error__messages.html</filename>
    <member kind="function">
      <type>const char *</type>
      <name>globus_gram_protocol_error_string</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>g3b564d8b67a8b728414b1601ce22e6d3</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_7_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>g726b7d3eae4f633fc9b910ebeea63915</anchor>
      <arglist>(const char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_10_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>g216a0136186624558ee8242b5e86b1b7</anchor>
      <arglist>(const char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_framing</name>
    <title>Message Framing</title>
    <filename>group__globus__gram__protocol__framing.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_request</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>gcf3471393cc1f96e706cdb55fdd7b52f</anchor>
      <arglist>(const char *url, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_reply</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>gaea71958bf314df88eaff93943a8366a</anchor>
      <arglist>(int code, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_io</name>
    <title>Message I/O</title>
    <filename>group__globus__gram__protocol__io.html</filename>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>globus_gram_protocol_handle_t</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g77e28ce87f362b80e064798b943d3f65</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_gram_protocol_hash_entry_s</type>
      <name>globus_gram_protocol_extension_t</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gc528453de894015225919afb2eae89a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_setup_attr</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g3f74f36799323f5e267f458e4d4e4e96</anchor>
      <arglist>(globus_io_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_gram_protocol_authorize_self</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g6e1bbf384ff9dbeabccfafe58cc1528e</anchor>
      <arglist>(gss_ctx_id_t context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_allow_attach</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g8a75eefbb4217d698e6abfeb6c514f2a</anchor>
      <arglist>(char **url, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_callback_disallow</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gf3d55a6a25d84393c08a5d4892c5150a</anchor>
      <arglist>(char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g34a4694e98b0fb6d8b8efbaca8063776</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post_delegation</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gd2dda7e860954f5e2d93d92d9d9ad7bb</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, gss_cred_id_t cred_handle, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 req_flags, OM_uint32 time_req, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_reply</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g639d65e7b9f3246c87b2dd46064ff05e</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, int code, globus_byte_t *message, globus_size_t message_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_accept_delegation</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>g73e639db3f543e9194ab40bf6606abe1</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 req_flags, OM_uint32 time_req, globus_gram_protocol_delegation_callback_t callback, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_get_sec_context</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gaca22fcd7089986fd213e4c338d9efdb</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_ctx_id_t *context)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_pack</name>
    <title>Message Packing</title>
    <filename>group__globus__gram__protocol__pack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>g20883f7c15226de5ae23869a7d9ae0cd</anchor>
      <arglist>(int job_state_mask, const char *callback_url, const char *rsl, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>g8b3fb0d19be35ff07a63f30a5bde8e12</anchor>
      <arglist>(int status, const char *job_contact, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>g95b5df6cd5a7a0513524b5a658d344b0</anchor>
      <arglist>(int status, const char *job_contact, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>g4431442a9c99960805276f41624b8e52</anchor>
      <arglist>(const char *status_request, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>g011ce64ddbaf20de3211946504a0083a</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga5100bd790ec51ee85590c3729cef29d</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>gee6568d9656dc2070fc08391fad56ed7</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>gdc3afa761b5119272a66b19e8e429f9b</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_version_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>g85190c54f2cafc48f752a2b71c1e446c</anchor>
      <arglist>(char **request, size_t *requestsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_unpack</name>
    <title>Message Unpacking</title>
    <filename>group__globus__gram__protocol__unpack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gc0160d91c84435aeeb66f19a3c8783fc</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, int *job_state_mask, char **callback_url, char **description)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gf2e2e3cd3f9e22398b43d9380d9bfc78</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>g2e2ad78e5a74f4dfa6ce29ab95bd2586</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gbe2fca058a0edfb45b90be315e7a00fa</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, char **status_request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>g5766a5d4a9665efd3e1a04f9822a4da7</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *job_status, int *failure_code, int *job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gd2158a398c8864278248c15425dddea8</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>g409e9cb220da55f124f3ddfe7ba716fc</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, char **job_contact, int *status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>g2bf755f702fe0d9fdd92e23e3e9c865f</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_hash_destroy</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>g1583a860f3409438e96968260e832581</anchor>
      <arglist>(globus_hashtable_t *message_hash)</arglist>
    </member>
  </compound>
</tagfile>
